Package org.apache.commons.math3.geometry.spherical.oned

# Class ArcsSet.Split

java.lang.Object
org.apache.commons.math3.geometry.spherical.oned.ArcsSet.Split

Enclosing class:
  `ArcsSet`

public static class ArcsSet.Split extends Object
Class holding the results of the `split` method.

## Method Summary

Modifier and Type
Method
Description
`ArcsSet`
`getMinus()`
Get the part of the arcs set on the minus side of the splitting arc.
`ArcsSet`
`getPlus()`
Get the part of the arcs set on the plus side of the splitting arc.
`Side`
`getSide()`
Get the side of the split arc with respect to its splitter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPlus

public ArcsSet getPlus()
Get the part of the arcs set on the plus side of the splitting arc.

Returns:
  part of the arcs set on the plus side of the splitting arc

### getMinus

public ArcsSet getMinus()
Get the part of the arcs set on the minus side of the splitting arc.

Returns:
  part of the arcs set on the minus side of the splitting arc

### getSide

public Side getSide()
Get the side of the split arc with respect to its splitter.

Returns:
  `Side.PLUS` if only `getPlus()` returns non-null, `Side.MINUS` if only `getMinus()` returns non-null, `Side.BOTH` if both `getPlus()` and `getMinus()` return non-null or `Side.HYPER` if both `getPlus()` and `getMinus()` return null
Since:
  3.6